package de.ivu.elect.stimmzettel;

public enum StimmzettelLokalisierungKey {

  WAHLVORSCHLAG_HEADER ("Wahlvorschlag Nr. {{nummer}}"),
  WAHLVORSCHLAG_MARKIERT("\u2717"),
  WAHLVORSCHLAG_UNMARKIERT("\u25EF"),
  NENNUNG_MARKIERT("\u2717"),

  BUTTON_RESET_LABEL("Eingaben zurücksetzen"),
  EINGABE_WAHLVORSCHLAG("Wahlvorschlag"),
  EINGABE_ANZAHL_STIMMEN("Anzahl Stimmen"),
  EINGABE_STREICHUNG("Streichung"),

  EINGABE_ART("Eingabeart"),
  EINGABE_ART_STANDARD("Standard"),
  EINGABE_ART_PROFI("Experten-Modus"),
  EINGABE_ART_BARCODE_EINFACH("Barcode"),
  EINGABE_ART_BARCODE_MEHRFACH("Barcode (mehrfach)"),

  EINGABE_PROFI_LABEL("Eingabe"),
  EINGABE_BARCODE_LABEL("Barcode"),

  BARCODE_EINFACH_MODUS_LABEL("Eingabemodus"),
  BARCODE_EINFACH_MODUS_LOESCHEN("Löschen (nächste Eingabe)"),
  BARCODE_EINFACH_MODUS_STREICHEN("Streichen (nächste Eingabe)"),
  BARCODE_EINFACH_MODUS_ENTSTREICHEN("Entstreichen (nächste Eingabe)"),
  BARCODE_EINFACH_MODUS_STREICHMODUS("Streichen (dauerhaft, Beenden mit F1)"),
  BARCODE_EINFACH_MODUS_EINGABE("Markieren"),
  BARCODE_EINFACH_MODUS_ZWEISTIMMEN("Zweistimmen Modus (dauerhaft, Beenden mit F1)"),
  BARCODE_EINFACH_MODUS_DREISTIMMEN("Dreistimmen Modus (dauerhaft, Beenden mit F1)"),

  MELDUNG_KEINE_STIMMEN_VERGEBEN("Es sind keine Stimmen vergeben"),
  MELDUNG_KEINE_GUELTIGEN_STIMMEN_VERGEBEN("Es sind keine gültigen Stimmen vorhanden"),
  MELDUNG_ZU_VIELE_STIMMEN_VERGEBEN("Mehr als {{maxStimmen}} Stimmen vergeben"),
  MELDUNG_ALLE_STIMMEN_VERGEBEN("Alle {{maxStimmen}} Stimmen vergeben"),
  MELDUNG_EINE_STIMME_VERGEBEN("Eine Stimme ist vergeben"),
  MELDUNG_STIMMEN_VERGEBEN("{{stimmen}} Stimmen sind vergeben"),
  MELDUNG_EINE_STIMME_UNGUELTIG("...davon ist eine Stimme ungültig."),
  MELDUNG_STIMMEN_UNGUELTIG("...davon sind {{stimmen}} Stimmen ungültig."),
  MELDUNG_RESTSTIMMENZUTEILUNG_ZU_VIELE_BEWERBER ("Vergebene Listenstimmen werden ignoriert (zu viele Bewerber für Reststimmenzuteilung)"),

  STIMMZETTEL_GUELTIG("Der Stimmzettel ist gültig!"),
  STIMMZETTEL_UNGUELTIG("Der Stimmzettel ist ungültig!"),

  STATISTIK_HEADER("Statistik"),
  STATISTIK_ANZAHL_STIMMEN_DIREKT_VERGEBEN("Anzahl direkt vergebener Stimmen"),
  STATISTIK_ANZAHL_STIMMEN_LISTE_VERGEBEN("Anzahl über Liste vergebener Stimmen"),
  STATISTIK_ANZAHL_STIMMEN_NICHT_VERGEBEN("Anzahl nicht vergebener Stimmen"),
  STATISTIK_ANZAHL_STIMMEN_UNGUELTIG("Anzahl ungültiger Stimmen"),


  ;

  private final String defaultValue;

  StimmzettelLokalisierungKey(String defaultValue){
    this.defaultValue = defaultValue;
  }

  public String getDefaultValue() {
    return defaultValue;
  }
}
